import { ReactNode } from 'react';
import type { ManagerCommand, MountCommand, PortalMeta, PortalStageContext, UnmountCommand, UpdateCommand } from './types';
export declare const Z_INDEX = 0;
export declare const PORTAL_LAYER_ID = "react-konva-portals";
export declare const ERROR_MESSAGE = "You should wrap your root component with <Stage /> from \"react-konva-portal\" in order for Portals to work";
export declare type RenderFunction = () => void;
export declare function useForceRender(): RenderFunction;
export declare function isStageContext(val: any): val is PortalStageContext;
export declare function assertStageContext(val: any): void;
export declare function zIndexComparator(a: PortalMeta, b: PortalMeta): 1 | -1 | 0;
export declare function mountCmd(id: string, key: number, zIndex: number, children: ReactNode): MountCommand;
export declare function updateCmd(id: string, key: number, zIndex: number, children: ReactNode): UpdateCommand;
export declare function unmountCmd(id: string, key: number): UnmountCommand;
export declare function notUnmountByKey(key: number): (item: ManagerCommand) => boolean;
export declare function warnIfDev(...args: any[]): void;
